CVE-2021-42386

NameCVE-2021-42386
DescriptionA use-after-free in Busybox's awk applet leads to denial of service and possibly code execution when processing a crafted awk pattern in the nvalloc function
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)
Debian Bugs999567

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
busybox (PTS)bullseye1:1.30.1-6vulnerable
bookworm1:1.35.0-4fixed
trixie1:1.36.1-7fixed
sid1:1.36.1-9fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
busyboxsource(unstable)1:1.35.0-1999567

Notes

[bullseye] - busybox <no-dsa> (Minor issue)
[buster] - busybox <no-dsa> (Minor issue)
[stretch] - busybox <postponed> (Minor issue, requires passing arbitrary awk program, no identified patch)
https://jfrog.com/blog/unboxing-busybox-14-new-vulnerabilities-uncovered-by-claroty-and-jfrog/

Search for package or bug name: Reporting problems